SetSignProcessCustomSubFilter

安全與簽章

描述

以自訂字串設定數位簽署程序的 SubFilter 項目,指定簽章值的編碼方式

類似 SetSignProcessSubFilter,但 SubFilter 項目可自訂

提供的字串以 ETSI. 開頭時(PAdES 基線簽章通常是 ETSI.CAdES.detached,文件時間戳記則是 ETSI.RFC3161),會原樣傳給簽署程序

選擇 ETSI.CAdES.detached 還會啟動 PAdES-B-B 簽署路徑:產生的 CMS 酬載帶有 content-type(id-data)與 signing-certificate-v2(RFC 5035 / RFC 5816)authenticated attributes,並省略 EN 319 142-1 Table 1 禁止的 signing-time 屬性——程式庫把自己的屬性陣列交給 CryptSignMessage,所以能這樣做。簽署憑證以 SHA-256 摘要指認(SetSignProcessDigestAlgorithm 選更大的雜湊時為 SHA-384 / SHA-512),目前的版本還會附上選配的 IssuerSerial 組(簽發者辨別名稱加序號),更嚴格的 PAdES 驗證器因此能把簽署憑證與候選鏈交叉核對。

語法

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

參數

SignProcessID由 NewSignProcessFromFile、NewSignProcessFromStream 或 NewSignProcessFromString 函式傳回的值。
SubFilterStr自訂 SubFilter 字串項目

傳回值

0SignProcessID 參數無效,或 SubFilter 參數超出範圍
1Success